Rensei docs

Create an org invite (org admin).

Create an org invite (org admin). - Rensei REST API operation reference.

POST
/api/org/{orgId}/invites

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

orgId*string

Organization id (must match the authenticated org).

Request Body

application/json
  1. body
email*string
Match^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
role?string

Defaults to 'member'.

Value in"admin""member""auditor"

Response Body

Invite created.

application/json
  1. response
[key: string]?unknown
Example Request
curl -X POST 'https://app.rensei.ai/api/org/string/invites' \  -H 'Content-Type: application/json' \  -d '{  "email": "user@example.com"}'
Example Response
{  "property1": null,  "property2": null}